#include "preferences.h"
#include "odlanrfid_demo_global.h"

#include <ui_preferences.h>

#include <QSettings>

Preferences::Preferences(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Preferences)
{
    ui->setupUi(this);
}

Preferences::~Preferences()
{
    delete ui;
}

void Preferences::readSettings()
{
    QSettings set;
    ui->portSpin->setValue(set.value(SETTINGS_PORT,5555).toInt());
    ui->ackCheck->setChecked(set.value(SETTINGS_ACK,false).toBool());
}

void Preferences::writeSettings()
{
    QSettings set;
    set.setValue(SETTINGS_PORT, ui->portSpin->value());
    set.setValue(SETTINGS_ACK, ui->ackCheck->isChecked());
}
